Revert "commit-msg: Insert Change-Id at start of trailers"

This reverts commit 653f8b711be3344e8c617512629270661b24fa86.

Reason for revert: This requires git-2.15 which is much newer than
repo itself requires.  Lets pull it until we can figure out something
on the Gerrit side.

Bug: https://crbug.com/gerrit/12546
Change-Id: I5148f8a9cab5f0c305c020e31627b4af88cd5c95
Reviewed-on: https://gerrit-review.googlesource.com/c/git-repo/+/263012
Reviewed-by: David Pursehouse <dpursehouse@collab.net>
Tested-by: Mike Frysinger <vapier@google.com>
diff --git a/hooks/commit-msg b/hooks/commit-msg
index 92fdc54..70d67ea 100755
--- a/hooks/commit-msg
+++ b/hooks/commit-msg
@@ -51,7 +51,7 @@
 
 # Avoid the --in-place option which only appeared in Git 2.8
 # Avoid the --if-exists option which only appeared in Git 2.15
-if ! git -c trailer.ifexists=doNothing interpret-trailers --where start \
+if ! git -c trailer.ifexists=doNothing interpret-trailers \
       --trailer "Change-Id: I${random}" < "$1" > "${dest}" ; then
   echo "cannot insert change-id line in $1"
   exit 1